Subject: Re: automake and pyconfigure: a future integration?

From: Jack Kelly <[email-masked]>
Date: Fri, 14 Dec 2012 13:10:59 +1100

Kerrick Staley <[email-masked]> writes:

> Really, I'd just like to get gobject-introspection to compile on Arch Linux.
> The problem is that gobject-introspection's configure.ac has the line
>
> AM_PATH_PYTHON([2.5])
>
> but gobject-introspection can't actually work with Python 3 or higher (the
> default on Arch); it needs Python 2. Automake doesn't seem to provide a way to
> specify this need.

If you're just building gobject-introspection, then ./configure
PYTHON=/usr/bin/python2 is the way to go. If you're trying to fix
gobject-introspection, then perhaps the solutions offered at
http://stackoverflow.com/questions/4619664/autofoo-test-for-maximum-version-of-python
may help?

-- Jack